Subject: [PATCH v3 4/4] ARM: omap: pass minimal SoC/board data for UART from dt

From: [email-masked] (Cousson, Benoit)
Date: Thu, 15 Dec 2011 11:06:15 +0100

Hi Tony,

On 12/15/2011 7:52 AM, Rajendra Nayak wrote:
> On Thursday 15 December 2011 12:55 AM, Tony Lindgren wrote:
>> * Rajendra Nayak<[email-masked]> [111214 03:24]:
>>> Pass minimal data needed for console boot, from dt, for
>>> OMAP4 panda/sdp and OMAP3 beagle boards, and get rid of the
>>> static initialization from generic board file.
>>>
>>> Acked-by: Rob Herring<[email-masked]>
>>> Signed-off-by: Rajendra Nayak<[email-masked]>
>>
>> This we can't merge because this breaks serial console for
>> omap2 because you're not adding the omap2 specific dtsi
>> entries for omap2..
>
> But we never had omap2 working with DT, because we never added
> a .dtsi file for omap2 or a .dts file for any omap2 board variants.
>
> Until now the DT support on OMAP has been limited to OMAP3 and OMAP4
> with boards limited to omap3beagle/omap4Panda and omap4sdp.
>
> So when we do add base support for omap2, we could update those
> with the serial entries.

I'm quite confused as well... Have you tried the current 3.2 kernel on 
an OMAP2 board?

So far I've been taking care of keeping the OMAP2 support into the 
board-generic.c file, but I've never added any omap2.dtsi or 
omap2-board.dts file to support it.

Regards,
Benoit